class MovementController {
	static var topmost: float;
	static var bottommost: float;
	static var leftmost: float;
	static var rightmost: float;
	static var friendlylaser: Rigidbody;
	static var enemylaser: Rigidbody;
	static var enemybomb: Rigidbody;
	
	static function init(topmost: float, bottommost: float, leftmost: float, rightmost: float)
	{
		this.topmost = topmost;
		this.bottommost = bottommost;
		this.leftmost = leftmost;
		this.rightmost = rightmost;
		this.friendlylaser = Resources.Load("FriendlyLaser", Rigidbody);
		this.enemylaser = Resources.Load("EnemyLaser", Rigidbody);
		this.enemybomb = Resources.Load("Bomb", Rigidbody);
	}
	
	static function Topmost() { return topmost; }
	static function Bottommost() { return bottommost; }
	static function Leftmost() { return leftmost; }
	static function Rightmost() { return rightmost; }
	static function Friendlylaser() { return friendlylaser; }
	static function Enemylaser() { return enemylaser; }
	static function Enemybomb() { return enemybomb; }
}